## hp-search-mac 0.1.0

=== Makefile ===
all:
	for PL in *.pl ; do \
		pod2man --section=1 \
			--release=" hp-search-mac " \
			--date="`date`" \
			$$PL > $$(echo $$PL | sed -e "s|.pl|.1|;") ;\
		gzip -9 $$(echo $$PL | sed -e "s|.pl|.1|;") \
	; done

install: install-bin install-man

install-bin:
	cp hp-search-mac.pl $(DESTDIR)/usr/bin/hp-search-mac

install-man:
	mkdir -p $(DESTDIR)/usr/share/man/man1
	for M1 in *.1.gz ; do \
		cp $$M1 $(DESTDIR)/usr/share/man/man1 \
	; done

clean: clean-man

clean-man:
	-rm *.1
	-rm *.1.gz

## hp-search-mac 0.0.6

=== debian/changelog ===
hp-search-mac (0.0.6) unstable; urgency=low

  * Updated standards version from 3.5.2 to 3.5.8 (no other changes).
  * Removed full stop from package description.

 -- Ola Lundqvist <opal@debian.org>  Fri, 10 Jan 2003 17:54:32 +0100

hp-search-mac (0.0.5) unstable; urgency=low

  * Fixed script error when connection fails, closes: #148972.

 -- Ola Lundqvist <opal@debian.org>  Thu, 12 Sep 2002 10:20:21 +0200

hp-search-mac (0.0.4) unstable; urgency=low

  * Added example of a configuration file.

 -- Ola Lundqvist <opal@debian.org>  Mon,  2 Sep 2002 14:48:18 +0200

hp-search-mac (0.0.3) unstable; urgency=low

  * Initial release.

 -- Ola Lundqvist <opal@debian.org>  Mon, 13 May 2002 10:22:16 +0200

=== debian/control ===
Source: hp-search-mac
Section: admin
Priority: optional
Maintainer: Ola Lundqvist <opal@debian.org>
Build-Depends-Indep: debhelper (>> 3.0.0)
Standards-Version: 3.5.8

Package: hp-search-mac
Architecture: all
Depends: ${perl:Depends}, opalmod (>= 0.1.6), libnet-snmp-perl (>= 3.6-7)
Description: Search for a MAC address on HP switches
 This package contains a small utility that can query HP switches for their
 connection table. It then allow you to search for a MAC address and tell you
 where it is physically connected (best match first).
 .
 The functionality is similar to traceroute but on Ethernet level and only
 for HP switches.

## hp-search-mac 0.1.0

=== debian/changelog ===
hp-search-mac (0.1.0) unstable; urgency=high

  * Corrected GPL statements and added COPYING file that was missing.
    This can be considered release critical.
  * Updated standards version to 3.6.1.

 -- Ola Lundqvist <opal@debian.org>  Mon, 30 Aug 2004 09:15:19 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ola Lundqvist <opal@debian.org>
 Build-Depends-Indep: debhelper (>> 3.0.0)
-Standards-Version: 3.5.8
+Standards-Version: 3.6.1
 
 Package: hp-search-mac
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=3



ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/hp-search-mac.sgml > hp-search-mac.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/hp-search-mac.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/hp-search-mac

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i
#	dh_installdebconf -i
	dh_installdocs -i
	dh_installexamples -i
	dh_installmenu -i
#	dh_installlogrotate -i
#	dh_installemacsen -i
#	dh_installpam -i
#	dh_installmime -i
#	dh_installinit -i
	dh_installcron -i
	dh_installman -i
	dh_installinfo -i
#	dh_undocumented -i
	dh_installchangelogs -i 
	dh_link -i
	dh_strip -i
	dh_compress -i
	dh_fixperms -i
#	dh_makeshlibs -i
	dh_installdeb -i
	dh_perl -i
#	dh_shlibdeps -i
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## hp-search-mac 0.1.1

=== debian/changelog ===
hp-search-mac (0.1.1) unstable; urgency=low

  * Changed build-depends-indep to build-depends for debhelper.
  * Changed to debhelper 4 compatibility.
  * Updated to standards version 3.7.2.
  * Updated FSF address and some copyright notes.
  * Binary-arch should not do anything in debian/rules.
  * Corrected a unknown character issue in manpage.

 -- Ola Lundqvist <opal@debian.org>  Sun, 16 Jul 2006 23:19:11 +0200

=== debian/rules ===
--- 
+++ 
@@ -6,9 +6,7 @@
 #export DH_VERBOSE=1
 
 # This is the debhelper compatibility version to use.
-export DH_COMPAT=3
-
-
+export DH_COMPAT=4
 
 ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -g
@@ -56,7 +54,7 @@
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/hp-search-mac
 
 # Build architecture-dependent files here.
-binary-arch: build install
+binary-arch:
 # We have nothing to do by default.
 
 # Build architecture-independent files here.

## hp-search-mac 0.1.2

=== debian/changelog ===
hp-search-mac (0.1.2) unstable; urgency=low

  * Updated upstream homepage location.

 -- Ola Lundqvist <opal@debian.org>  Thu,  6 Dec 2007 20:17:34 +0100

## hp-search-mac 0.1.3

=== debian/changelog ===
hp-search-mac (0.1.3) unstable; urgency=low

  * Updated upstream address from opalsys.net to inguza.com.

 -- Ola Lundqvist <opal@debian.org>  Mon,  7 Apr 2008 21:20:43 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: admin
 Priority: optional
 Maintainer: Ola Lundqvist <opal@debian.org>
-Build-Depends-Indep: debhelper (>> 3.0.0)
-Standards-Version: 3.6.1
+Build-Depends: debhelper (>> 4.0.0)
+Standards-Version: 3.7.2
 
 Package: hp-search-mac
 Architecture: all

## hp-search-mac 0.1.4

=== debian/changelog ===
hp-search-mac (0.1.4) unstable; urgency=medium

  * Updated to debhelper 9 compatibility. Closes: #817496.
  * Simplified debian/rules file. Essentially just three lines now.
  * Updated to standards version 3.9.6.
  * Added misc Depends to control file.

 -- Ola Lundqvist <opal@debian.org>  Sat, 18 Jun 2016 23:05:10 +0200

## hp-search-mac 0.1.4+nmu1

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 	for PL in *.pl ; do \
 		pod2man --section=1 \
 			--release=" hp-search-mac " \
-			--date="`date`" \
+			--date="`LANG=C date`" \
 			$$PL > $$(echo $$PL | sed -e "s|.pl|.1|;") ;\
 		gzip -9 $$(echo $$PL | sed -e "s|.pl|.1|;") \
 	; done

=== debian/changelog ===
hp-search-mac (0.1.4+nmu1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Tue, 05 Jan 2021 16:34:00 +0100

## hp-search-mac 0.1.5

=== debian/changelog ===
hp-search-mac (0.1.5) unstable; urgency=low

  * Applied patch from Chris Lamb to make the build reproducible.
    Closes: #860372.

 -- Ola Lundqvist <opal@debian.org>  Tue, 12 Jan 2021 13:20:56 +0100

## hp-search-mac 0.1.5.1

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,14 @@
+ifdef SOURCE_DATE_EPOCH
+    BUILD_DATE = $(shell LANG=C date --utc --date="@$(SOURCE_DATE_EPOCH)")
+else
+    BUILD_DATE = $(shell LANG=C date)
+endif
+
 all:
 	for PL in *.pl ; do \
 		pod2man --section=1 \
 			--release=" hp-search-mac " \
-			--date="`LANG=C date`" \
+			--date="$(BUILD_DATE)" \
 			$$PL > $$(echo $$PL | sed -e "s|.pl|.1|;") ;\
 		gzip -9 $$(echo $$PL | sed -e "s|.pl|.1|;") \
 	; done

=== debian/changelog ===
hp-search-mac (0.1.5.1) unstable; urgency=medium

  * Source only upload. Closes: #993119.

 -- Ola Lundqvist <opal@debian.org>  Wed, 08 Sep 2021 13:10:31 +0100

=== debian/control ===
Source: hp-search-mac
Section: admin
Priority: optional
Maintainer: Ola Lundqvist <opal@debian.org>
Build-Depends: debhelper (>> 9.0.0)
Standards-Version: 3.9.6

Package: hp-search-mac
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}, opalmod (>= 0.1.6), libnet-snmp-perl (>= 3.6-7)
Description: Search for a MAC address on HP switches
 This package contains a small utility that can query HP switches for their
 connection table. It then allow you to search for a MAC address and tell you
 where it is physically connected (best match first).
 .
 The functionality is similar to traceroute but on Ethernet level and only
 for HP switches.

## hp-search-mac 0.1.5.2

=== debian/changelog ===
hp-search-mac (0.1.5.2) unstable; urgency=low

  * Switch to dpkg-source 3.0 (native) format. Closes: #1007304.
  * Bumped debhelper compatibility to 11.

 -- Ola Lundqvist <opal@debian.org>  Thu, 24 Mar 2022 08:51:03 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Ola Lundqvist <opal@debian.org>
-Build-Depends: debhelper (>> 9.0.0)
+Build-Depends: debhelper (>> 11.0.0)
 Standards-Version: 3.9.6
 
 Package: hp-search-mac

## hp-search-mac 0.1.5.2build1

=== debian/changelog ===
hp-search-mac (0.1.5.2build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 15 Dec 2025 19:23:15 +0000
